Page MenuHomePhabricator

evas: add infrastructure to feed 9 patch information from file loader to image object.
ClosedPublic

Authored by cedric on Jun 14 2019, 5:09 PM.

Details

Summary

This is just the plumbing that feed data provided along android 9 patch image for example
into Evas object image new stretch and content region infrastructure for rendering them
properly.

Depends on D9101

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jun 14 2019, 5:09 PM
cedric requested review of this revision.Jun 14 2019, 5:09 PM
cedric updated this revision to Diff 22769.Jun 14 2019, 5:12 PM
cedric edited the summary of this revision. (Show Details)
zmike added inline comments.Jun 17 2019, 9:59 AM
src/lib/evas/canvas/evas_image_private.h
102

Would sure be nice to have some small comments on these to explain what they do...

cedric planned changes to this revision.Jun 19 2019, 10:53 AM
cedric updated this revision to Diff 22844.Jun 19 2019, 12:16 PM

Rebase and take comments into account.

cedric updated this revision to Diff 22899.Thu, Jun 20, 5:02 PM
cedric edited the summary of this revision. (Show Details)

Rebase and rename.

Hermet requested changes to this revision.Tue, Jul 9, 12:54 AM
Hermet added inline comments.
src/lib/evas/canvas/evas_object_image.c
493

stretch_loaded = false?
seems this function needs return value.
if (!_stretch_region_load(...)) ...

This revision now requires changes to proceed.Tue, Jul 9, 12:54 AM
cedric added inline comments.Wed, Jul 10, 10:04 AM
src/lib/evas/canvas/evas_object_image.c
493

The data even if NULL were loaded from the file, so I think I should keep stretch_loaded == EINA_TRUE.

I am not to sure of the meaning returning false would have has it could be because the file was already loaded or because the region are empty. Each caller functions does have to look for the information they need and see what they want to do.

Hermet accepted this revision.Thu, Jul 11, 7:54 PM
This revision is now accepted and ready to land.Thu, Jul 11, 7:54 PM
This revision was automatically updated to reflect the committed changes.